package xiaoqu.home.open.model.db2;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 人效详情
 * </p>
 *
 * @author mk
 * @since 2022-08-18
 */
@TableName("efficiency_detail")
@ApiModel(value="EfficiencyDetail对象", description="人效详情")
public class EfficiencyDetail extends Model<EfficiencyDetail> {

    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建人")
    @TableField("create_name")
    private String createName;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改人")
    @TableField("modify_name")
    private String modifyName;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "站点id")
    @TableField("district_id")
    private Long districtId;

    @ApiModelProperty(value = "物业id")
    @TableField("property_id")
    private Long propertyId;

    @ApiModelProperty(value = "代理id")
    @TableField("agent_id")
    private Long agentId;

    @ApiModelProperty(value = "站点名称")
    @TableField("district_name")
    private String districtName;

    @ApiModelProperty(value = "物业名称")
    @TableField("property_name")
    private String propertyName;

    @ApiModelProperty(value = "代理名称")
    @TableField("agent_name")
    private String agentName;

    @ApiModelProperty(value = "人员id")
    @TableField("user_id")
    private Long userId;

    @ApiModelProperty(value = "人员名称")
    @TableField("user_name")
    private String userName;

    @ApiModelProperty(value = "手机号")
    @TableField("mobile")
    private String mobile;

    @ApiModelProperty(value = "角色")
    @TableField("app_role")
    private Integer appRole;

    @ApiModelProperty(value = "统计起始时间")
    @TableField("statistics_start_time")
    private Date statisticsStartTime;

    @ApiModelProperty(value = "统计结束时间")
    @TableField("statistics_end_time")
    private Date statisticsEndTime;

    @ApiModelProperty(value = "派单数")
    @TableField("distributi_count")
    private Integer distributiCount;

    @ApiModelProperty(value = "接单数")
    @TableField("accept_count")
    private Integer acceptCount;

    @ApiModelProperty(value = "接单率")
    @TableField("accept_percent")
    private Double acceptPercent;

    @ApiModelProperty(value = "总响应时间")
    @TableField("confirm_timing_total")
    private Double confirmTimingTotal;

    @ApiModelProperty(value = "总转场时间")
    @TableField("transfer_timing_total")
    private Double transferTimingTotal;

    @ApiModelProperty(value = "总作业时间")
    @TableField("work_timing_total")
    private Double workTimingTotal;

    @ApiModelProperty(value = "总工时")
    @TableField("wage_hour_total")
    private Double wageHourTotal;

    @ApiModelProperty(value = "总积分")
    @TableField("point_total")
    private Double pointTotal;

    @ApiModelProperty(value = "核对积分")
    @TableField("check_point")
    private String checkPoint;

    @ApiModelProperty(value = "核对后积分")
    @TableField("result_point")
    private Double resultPoint;

    @ApiModelProperty(value = "平均响应时间")
    @TableField("confirm_timing_ave")
    private Double confirmTimingAve;

    @ApiModelProperty(value = "平均转场时间")
    @TableField("transfer_timing_ave")
    private Double transferTimingAve;

    @ApiModelProperty(value = "平均作业时间")
    @TableField("work_timing_ave")
    private Double workTimingAve;

    @ApiModelProperty(value = "平均工时")
    @TableField("wage_hour_ave")
    private Double wageHourAve;

    @ApiModelProperty(value = "按时完成数")
    @TableField("on_time_count")
    private Integer onTimeCount;

    @ApiModelProperty(value = "超时完成树")
    @TableField("time_out_count")
    private Integer timeOutCount;

    @ApiModelProperty(value = "未完成数")
    @TableField("unfinish_count")
    private Integer unfinishCount;

    @ApiModelProperty(value = "完工率")
    @TableField("finish_percent")
    private Double finishPercent;

    @ApiModelProperty(value = "总薪资")
    @TableField("salary_total")
    private Double salaryTotal;

    @ApiModelProperty(value = "效率汇总表id")
    @TableField("recording_id")
    private Long recordingId;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public String getModifyName() {
        return modifyName;
    }

    public void setModifyName(String modifyName) {
        this.modifyName = modifyName;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public Long getDistrictId() {
        return districtId;
    }

    public void setDistrictId(Long districtId) {
        this.districtId = districtId;
    }

    public Long getPropertyId() {
        return propertyId;
    }

    public void setPropertyId(Long propertyId) {
        this.propertyId = propertyId;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public String getDistrictName() {
        return districtName;
    }

    public void setDistrictName(String districtName) {
        this.districtName = districtName;
    }

    public String getPropertyName() {
        return propertyName;
    }

    public void setPropertyName(String propertyName) {
        this.propertyName = propertyName;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public Integer getAppRole() {
        return appRole;
    }

    public void setAppRole(Integer appRole) {
        this.appRole = appRole;
    }

    public Date getStatisticsStartTime() {
        return statisticsStartTime;
    }

    public void setStatisticsStartTime(Date statisticsStartTime) {
        this.statisticsStartTime = statisticsStartTime;
    }

    public Date getStatisticsEndTime() {
        return statisticsEndTime;
    }

    public void setStatisticsEndTime(Date statisticsEndTime) {
        this.statisticsEndTime = statisticsEndTime;
    }

    public Integer getDistributiCount() {
        return distributiCount;
    }

    public void setDistributiCount(Integer distributiCount) {
        this.distributiCount = distributiCount;
    }

    public Integer getAcceptCount() {
        return acceptCount;
    }

    public void setAcceptCount(Integer acceptCount) {
        this.acceptCount = acceptCount;
    }

    public Double getAcceptPercent() {
        return acceptPercent;
    }

    public void setAcceptPercent(Double acceptPercent) {
        this.acceptPercent = acceptPercent;
    }

    public Double getConfirmTimingTotal() {
        return confirmTimingTotal;
    }

    public void setConfirmTimingTotal(Double confirmTimingTotal) {
        this.confirmTimingTotal = confirmTimingTotal;
    }

    public Double getTransferTimingTotal() {
        return transferTimingTotal;
    }

    public void setTransferTimingTotal(Double transferTimingTotal) {
        this.transferTimingTotal = transferTimingTotal;
    }

    public Double getWorkTimingTotal() {
        return workTimingTotal;
    }

    public void setWorkTimingTotal(Double workTimingTotal) {
        this.workTimingTotal = workTimingTotal;
    }

    public Double getWageHourTotal() {
        return wageHourTotal;
    }

    public void setWageHourTotal(Double wageHourTotal) {
        this.wageHourTotal = wageHourTotal;
    }

    public Double getPointTotal() {
        return pointTotal;
    }

    public void setPointTotal(Double pointTotal) {
        this.pointTotal = pointTotal;
    }

    public String getCheckPoint() {
        return checkPoint;
    }

    public void setCheckPoint(String checkPoint) {
        this.checkPoint = checkPoint;
    }

    public Double getResultPoint() {
        return resultPoint;
    }

    public void setResultPoint(Double resultPoint) {
        this.resultPoint = resultPoint;
    }

    public Double getConfirmTimingAve() {
        return confirmTimingAve;
    }

    public void setConfirmTimingAve(Double confirmTimingAve) {
        this.confirmTimingAve = confirmTimingAve;
    }

    public Double getTransferTimingAve() {
        return transferTimingAve;
    }

    public void setTransferTimingAve(Double transferTimingAve) {
        this.transferTimingAve = transferTimingAve;
    }

    public Double getWorkTimingAve() {
        return workTimingAve;
    }

    public void setWorkTimingAve(Double workTimingAve) {
        this.workTimingAve = workTimingAve;
    }

    public Double getWageHourAve() {
        return wageHourAve;
    }

    public void setWageHourAve(Double wageHourAve) {
        this.wageHourAve = wageHourAve;
    }

    public Integer getOnTimeCount() {
        return onTimeCount;
    }

    public void setOnTimeCount(Integer onTimeCount) {
        this.onTimeCount = onTimeCount;
    }

    public Integer getTimeOutCount() {
        return timeOutCount;
    }

    public void setTimeOutCount(Integer timeOutCount) {
        this.timeOutCount = timeOutCount;
    }

    public Integer getUnfinishCount() {
        return unfinishCount;
    }

    public void setUnfinishCount(Integer unfinishCount) {
        this.unfinishCount = unfinishCount;
    }

    public Double getFinishPercent() {
        return finishPercent;
    }

    public void setFinishPercent(Double finishPercent) {
        this.finishPercent = finishPercent;
    }

    public Double getSalaryTotal() {
        return salaryTotal;
    }

    public void setSalaryTotal(Double salaryTotal) {
        this.salaryTotal = salaryTotal;
    }

    public Long getRecordingId() {
        return recordingId;
    }

    public void setRecordingId(Long recordingId) {
        this.recordingId = recordingId;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "EfficiencyDetail{" +
        "id=" + id +
        ", createId=" + createId +
        ", createName=" + createName +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyName=" + modifyName +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", districtId=" + districtId +
        ", propertyId=" + propertyId +
        ", agentId=" + agentId +
        ", districtName=" + districtName +
        ", propertyName=" + propertyName +
        ", agentName=" + agentName +
        ", userId=" + userId +
        ", userName=" + userName +
        ", mobile=" + mobile +
        ", appRole=" + appRole +
        ", statisticsStartTime=" + statisticsStartTime +
        ", statisticsEndTime=" + statisticsEndTime +
        ", distributiCount=" + distributiCount +
        ", acceptCount=" + acceptCount +
        ", acceptPercent=" + acceptPercent +
        ", confirmTimingTotal=" + confirmTimingTotal +
        ", transferTimingTotal=" + transferTimingTotal +
        ", workTimingTotal=" + workTimingTotal +
        ", wageHourTotal=" + wageHourTotal +
        ", pointTotal=" + pointTotal +
        ", checkPoint=" + checkPoint +
        ", resultPoint=" + resultPoint +
        ", confirmTimingAve=" + confirmTimingAve +
        ", transferTimingAve=" + transferTimingAve +
        ", workTimingAve=" + workTimingAve +
        ", wageHourAve=" + wageHourAve +
        ", onTimeCount=" + onTimeCount +
        ", timeOutCount=" + timeOutCount +
        ", unfinishCount=" + unfinishCount +
        ", finishPercent=" + finishPercent +
        ", salaryTotal=" + salaryTotal +
        ", recordingId=" + recordingId +
        "}";
    }
}
